use std::fs;

pub fn read_to_lines(_filename: &str) -> Result<Vec<String>, String> {
    let _contents = fs::read_to_string(_filename);
    if let Err(v) = _contents {
        return Err(format!("Could not read file: {}", v));
    }

    let lines = _contents.unwrap().lines().map(|x| x.to_string()).collect::<Vec<String>>();

    Ok(lines)
}

pub fn read_to_string(_filename: &str) -> Result<String, String> {
    let _lines = read_to_lines(_filename);

    match _lines {
        Ok(lines) => if lines.len() >= 1 {
            Ok(lines[0].clone())
        } else {
            Err(String::from("Missing content"))
        },
        Err(v) => Err(v)
    }
}